Bug 962334 - Failed to V2 migrate perl cartridge due to connection timeout
Failed to V2 migrate perl cartridge due to connection timeout
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 04:47 EDT by Jianwei Hou
Modified: 2015-05-14 19:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 23:56:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
migration log (87.26 KB, text/x-log)
2013-05-13 04:47 EDT, Jianwei Hou
no flags Details

  None (edit)
Description Jianwei Hou 2013-05-13 04:47:36 EDT
Created attachment 747135 [details]
migration log

Description of problem:
While migrating perl cartridge from v1 to v2 format, 2 of my 3 perl apps failed, the error was "Caught an exception during internal migration steps: Connection timed out - connect(2)", the other one is not migrated, the app names are listed in additional info section.

Version-Release number of selected component (if applicable):
Upgrading devenv-stage_351 to devenv_3219 and migrate

How reproducible:
Always

Steps to Reproduce:
1. Launch a devenv-stage_351 ami
2. Create app with perl cartridge(v1 format)
3. scp -r ~/devenv-local and /etc/yum.repos.d/local.repo from devenv_3219 instance to same location on devenv-stage_351 instance
4. yum -y update --enablerepo devenv-local (the instance will be default to v2 format after upgrade)
6. rhc-v2-migrate --version 2.0.28
  
Actual results:
After step 6, while migrating perl apps:
Moving contents of perl-5.10/logs to perl/logs
 Moving /var/lib/openshift/473514127621028600348672/perl-5.10/logs/error_log-20130513-000000-EST
Moving contents of perl-5.10/perl5lib to perl/perl5lib
Marking step perl_hook complete
Marking step perl_reconfigure_git_repo complete
Marking step perl_connect_frontend complete
Caught an exception during internal migration steps: Connection timed out - connect(2)
/opt/rh/ruby193/root/usr/share/ruby/net/http.rb:762:in `initialize'
/opt/rh/ruby193/root/usr/share/ruby/net/http.rb:762:in `open'
/opt/rh/ruby193/root/usr/share/ruby/net/http.rb:762:in `block in connect'
/opt/rh/ruby193/root/usr/share/ruby/timeout.rb:54:in `timeout'
/opt/rh/ruby193/root/usr/share/ruby/timeout.rb:99:in `timeout'
/opt/rh/ruby193/root/usr/share/ruby/net/http.rb:762:in `connect'
/opt/rh/ruby193/root/usr/share/ruby/net/http.rb:755:in `do_start'
/opt/rh/ruby193/root/usr/share/ruby/net/http.rb:744:in `start'
/opt/rh/ruby193/root/usr/share/ruby/net/http.rb:1284:in `request'
/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/net_http_ext.rb:17:in `request'
/opt/rh/ruby193/root/usr/libexec/mcollective/mcollective/lib/migrate-v2.rb:462:in `validate_gear'
/opt/rh/ruby193/root/usr/libexec/mcollective/mcollective/lib/migrate-v2.rb:164:in `migrate'
/opt/rh/ruby193/root/usr/libexec/mcollective/mcollective/agent/librav2.rb:66:in `migrate_action'
/opt/rh/ruby193/root/usr/share/ruby/mcollective/rpc/agent.rb:86:in `handlemsg'
/opt/rh/ruby193/root/usr/share/ruby/mcollective/agents.rb:126:in `block (2 levels) in dispatch'
/opt/rh/ruby193/root/usr/share/ruby/timeout.rb:68:in `timeout'
/opt/rh/ruby193/root/usr/share/ruby/mcollective/agents.rb:125:in `block in dispatch'
***time_redeploy_httpd_proxy=0***
***time_restart=0***


Expected results:
Perl cartridge should be migrated successfully

Additional info:
Added migration log, the failed app names are: perl1, perlwithmysql, perlwithphpmyadmin
Comment 1 Jianwei Hou 2013-05-14 01:57:25 EDT
I was able to migrate perl cartridge successfully today after upgrading to devenv_3223.
Will focus perl migration in following tests.
Comment 2 Jianwei Hou 2013-05-14 22:32:47 EDT
Tested this again after upgrading to devenv_3227, and perl cartridge can be migrated successfully. Mark as verified.

Note You need to log in before you can comment on or make changes to this bug.